package com.m2pool.oapi.service;


import com.m2pool.common.core.web.Result.AjaxResult;
import com.m2pool.oapi.vo.AccountDateVo;
import com.m2pool.oapi.vo.AccountVo;
import com.m2pool.oapi.vo.DateVo;

/**
 * @Description 开放api  矿池  相关服务类
 * @Date 2024/6/14 11:40
 * @Author dy
 */
public interface AccountService {

    public AjaxResult getHashRateReal(AccountVo vo);

    public AjaxResult getHashRateHistory(AccountDateVo vo);

    public AjaxResult getHashRateLast24h(AccountVo vo);

    public AjaxResult getMinersList(AccountVo vo);

    public AjaxResult getWatch(AccountVo vo);
}
